Skip to main content

Triggers

GET/api/v1/nodes/{node_id}/monitoring/triggers/

Path parameters

  • node_idPathstringrequired

    Path parameter node_id.

Query parameters

  • project_idQuerystringoptional

    Identifier of the project to scope the request to. Optional; if omitted, the account's default project is used.

    • optional
    • if omitted, the request is applied to the default project
    example{{project_id}}
  • apikeyQuerystringoptional

    API key used to authenticate the request

    • required
    • non-empty string
    example{{api_key}}
  • locationQuerystringoptional

    Location filter for the trigger query

    • must be a non-empty string
    • should be URL-encoded
    example{{location}}

Responses

200Successful response
object
codeinteger

HTTP status code of the trigger response

example200
  • integer
  • value between 100 and 599
dataobject
errorsstring

Human-readable error message for the trigger response

example
  • May be empty when there is no error
  • Maximum length 1024 characters
messagestring

A short status message describing the result of the trigger operation

exampleMonitoring Data retrieved successfully
  • must be a non-empty string
  • maximum length of 255 characters